<template>
  <div id="app">
    <!-- <img alt="Vue logo" src="./assets/logo.png"> -->
    <!-- <HelloWorld msg="Welcome to Your Vue.js App"/> -->
    <!-- <home /> -->
    <Home v-if="this.$route.name == 'home'" />
    <Login v-if="this.$route.name == 'login'" />
    <Layout v-if="this.$route.name != 'login' && this.$route.name != 'home'" />
  </div>
</template>

<script>
// import HelloWorld from './components/HelloWorld.vue'
import Home from "./views/home";
import Login from "./views/login";
import Layout from "./components/layout";
import "bootstrap/dist/css/bootstrap.min.css";
import "bootstrap-vue/dist/bootstrap-vue.css";
import { stores } from "../src/main";

export default {
  data: function () {
    return {
      levels: [
        "chapter_one",
        "chapter_two",
        "chapter_three",
        "chapter_four",
        "chapter_five",
        "chapter_six",
      ],
    };
  },
  name: "App",
  components: {
    Layout,
    Login,
    Home,
  },
  mounted() {
    if (
      this.levels.indexOf(this.$route.name) > stores.state.count - 1 ||
      (this.levels.indexOf(this.$route.name) < 0 &&
        !this.$route.name.includes("test"))
    ) {
      this.$router.push("/");
    }
  },
};
</script>
  
<style>
@import url("https://fonts.googleapis.com/css?family=Roboto+Condensed");
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: left;
  color: #2c3e50;
}
body {
  margin: 0 !important;
}
</style>
